Package org.jcsp.net.settings

# Class JCSPConfig

java.lang.Object
org.jcsp.net.settings.JCSPConfig

public class JCSPConfig extends Object
Used internally within the JCSP network infrastructure to represent the overall configuration.

Author:
  Quickstone Technologies Limited

## Constructor Summary

Constructors
Constructor
Description
`JCSPConfig()`

## Method Summary

Modifier and Type
Method
Description
`Addresses`
`getAddresses()`
`LinkProfiles`
`getLinkProfiles()`
`NodeProfiles`
`getNodeProfiles()`
`Specs`
`getNodeSpecs()`
`Plugins`
`getPlugins()`
`Protocols`
`getProtocols()`
`Services`
`getServices()`
`Settings`
`getSettings()`
`void`
`setAddresses(Addresses addresses)`
`void`
`setLinkProfiles(LinkProfiles linkProfiles)`
`void`
`setNodeProfiles(NodeProfiles nodeProfiles)`
`void`
`setNodeSpecs(Specs specs)`
`void`
`setPlugins(Plugins plugins)`
`void`
`setProtocols(Protocols protocols)`
`void`
`setServices(Services services)`
`void`
`setSettings(Settings settings)`
`static String`
`tabIn(String string)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### JCSPConfig

public JCSPConfig()

## Method Details

### setSettings

public void setSettings(Settings settings)

### getSettings

public Settings getSettings()

### setServices

public void setServices(Services services)

### getServices

public Services getServices()

### setPlugins

public void setPlugins(Plugins plugins)

### getPlugins

public Plugins getPlugins()

### setProtocols

public void setProtocols(Protocols protocols)

### getProtocols

public Protocols getProtocols()

### setAddresses

public void setAddresses(Addresses addresses)

### getAddresses

public Addresses getAddresses()

### setNodeSpecs

public void setNodeSpecs(Specs specs)

### getNodeSpecs

public Specs getNodeSpecs()

### setLinkProfiles

public void setLinkProfiles(LinkProfiles linkProfiles)

### getLinkProfiles

public LinkProfiles getLinkProfiles()

### setNodeProfiles

public void setNodeProfiles(NodeProfiles nodeProfiles)

### getNodeProfiles

public NodeProfiles getNodeProfiles()

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### tabIn

public static String tabIn(String string)